# 基于Node.js的Alpine Linux作为基础镜像
FROM node:alpine
 
# 设置工作目录
WORKDIR /app
 
# 复制package.json和package-lock.json到容器内
COPY package*.json ./
 
# 运行npm install命令来安装依赖包
RUN npm ci --only=production
 
# 复制src目录及其他需要的文件到容器内
COPY . .
 
# 打开80端口
EXPOSE 80
 
# 定义入口点
CMD ["npm", "run", "serve"]